<?php namespace Javier\Jqgrid;

use Illuminate\Support\ServiceProvider;

class JqgridServiceProvider extends ServiceProvider {

	/**
	 * Indicates if loading of the provider is deferred.
	 *
	 * @var bool
	 */
	protected $defer = false;

	/**
	 * Bootstrap the application events.
	 *
	 * @return void
	 */
	public function boot()
	{
		$this->package('Javier/Jqgrid', 'jqgrid');
	}

	/**
	 * Register the service provider.
	 *
	 * @return void
	 */
	public function register()
	{
		$this->app['jqgrid'] = $this->app->share(function($app)
		{
			return new Jqgrid;
		});
	}

	/**
	 * Get the services provided by the provider.
	 *
	 * @return array
	 */
	public function provides()
	{
		return array('jqgrid');
	}

}
